--liquibase formatted sql
--changeset stv:100126 dbms:PostgreSQL endDelimiter:^ rollbackEndDelimiter:^


-- Устанавливаем путь к схеме
SET search_path TO dbo,public^

/* Метка пользователя */
CREATE TABLE progusertag (
	progusertag_id	INTEGER NOT NULL,
	capclass_id	INTEGER NOT NULL,
	proguser_id	INTEGER NOT NULL,
	CONSTRAINT progusertag_pk PRIMARY KEY (progusertag_id),
	CONSTRAINT progusertag_ak1 UNIQUE (capclass_id, proguser_id)
)^
ALTER TABLE progusertag ADD
	CONSTRAINT progusertag_fk1 FOREIGN KEY (capclass_id) REFERENCES capclass^
ALTER TABLE progusertag ADD
	CONSTRAINT progusertag_fk2 FOREIGN KEY (proguser_id) REFERENCES proguser^
CREATE INDEX progusertag_if1 ON progusertag (capclass_id)^
CREATE INDEX progusertag_if2 ON progusertag (proguser_id)^
CALL CREATE_EXCEPTION('progusertag_id_null', 'IIIНе указано значение поля "Метка пользователя".III')^
CALL CREATE_EXCEPTION('progusertag_unique', 'IIIМетка пользователя уже существует.III')^
CALL CREATE_EXCEPTION('progusertag_notfk', 'IIIНет значения поля для Метка пользователя.III')^
CREATE SEQUENCE progusertag_id_gen AS INTEGER START WITH 1 INCREMENT BY 1^
ALTER SEQUENCE progusertag_id_gen OWNED BY progusertag.progusertag_id^
INSERT INTO captable (captable_code, captable_name, captable_temp, captable_schema) 
VALUES (Upper('progusertag'), 'Метка пользователя', 0, (SELECT CAST(configsystem_value AS VARCHAR(30)) FROM configsystem WHERE configsystem_id=2))^

--Коментарии к столбцам
COMMENT ON COLUMN progusertag.progusertag_id IS 'Метка пользователя ИД'^
COMMENT ON COLUMN progusertag.capclass_id IS 'Классификатор ИД'^
COMMENT ON COLUMN progusertag.proguser_id IS 'Пользователь ИД'^

--rollback DELETE FROM captable WHERE captable_code = Upper('progusertag') AND captable_name = 'Метка пользователя'^
--rollback ALTER TABLE progusertag DROP CONSTRAINT progusertag_fk1^
--rollback ALTER TABLE progusertag DROP CONSTRAINT progusertag_fk2^
--rollback DROP SEQUENCE progusertag_id_gen^
--rollback DROP TABLE progusertag^
