--liquibase formatted sql
--changeset stv:100127 dbms:PostgreSQL endDelimiter:^ rollbackEndDelimiter:^

CREATE OR REPLACE PROCEDURE FillIns()
AS $$
DECLARE _capresource_id INT;
BEGIN
  SELECT capresource_id
  FROM   capresource
  WHERE  Upper(capresource_code) = Upper('101')
         AND Upper(capresource_name) = Upper('Метки пользователя')
         AND  resourcetype_id = 15
  INTO _capresource_id;
 
  IF (_capresource_id IS NULL)
  THEN
    _capresource_id = 4000;
    INSERT INTO capresource (
      capresource_id,
      resourcetrantype_id,
      resourcetype_id,
      capconfig_id,
      proguser_id,
      lastproguser_id,
      capresource_code,
      capresource_name,
      capresource_active,
      capresource_shortcut,
      capresource_autor,
      capresource_date,
      capresource_remark,
      capresource_text,
      capresource_blob,
      capresource_pcode,
      capresource_lastmodify,
      capresource_build,
      capresource_texthash,
      capresource_blobhash,
      capresource_image,
      capresource_jscode,
      capresource_define,
      capresource_datebeg,
      capresource_dateend,
      capresource_path
    )
    VALUES (
     _capresource_id,
     2,
     15,
     1,
     1,
     NULL,
     '101',
     'Метки пользователя',
     0,
     NULL,
     NULL,
     '01.01.2023',
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     NULL,
     '01.01.1900', 
     '31.12.2099',
     NULL
    );
  END IF;

  SELECT capresource_id  
  FROM   capresource
  WHERE  Upper(capresource_code) = Upper('101')
         AND Upper(capresource_name) = Upper('Метки пользователя')
         AND  resourcetype_id = 15
  INTO _capresource_id;

  IF (_capresource_id IS NOT NULL)
  THEN 
    INSERT INTO capclasstype (capclasstype_id, capresource_id, capclasstype_code, capclasstype_name)
      VALUES (101, _capresource_id, '101', 'Метки пользователя');
  END IF;
END;
$$ LANGUAGE plpgsql^

DO $$ 
BEGIN
  CALL FillIns();
END
$$^

--rollback DELETE FROM capclasstype WHERE capclasstype_id = 101^
--rollback DELETE FROM capresource  WHERE  Upper(capresource_code) = Upper('101') AND Upper(capresource_name) = Upper('Метки пользователя') AND  resourcetype_id = 15^
