CREATE TABLE senderlog(
	senderlog_id INTEGER NOT NULL,
	senderlog_datetime DATE NOT NULL,
	entity_id INTEGER NOT NULL,
	senderlog_message_id VARCHAR(100),
	senderlog_status INTEGER,
	senderlog_error_message VARCHAR(1024),
	senderlog_type_id INTEGER NOT NULL,
    CONSTRAINT senderlog_pk PRIMARY KEY (senderlog_id)
);
CREATE SEQUENCE senderlog_id_gen AS INTEGER START WITH 1 INCREMENT BY 1;
ALTER SEQUENCE senderlog_id_gen OWNED BY senderlog.senderlog_id;

CREATE VIEW ft_senderlog
AS
SELECT
	senderlog_id,
	CAST(
		trim(to_char(senderlog_datetime, 'DD.MM.YYYY'))||' '||trim(cast(entity_id as varchar))||' '||coalesce(senderlog_message_id,'')||' '||coalesce(cast(senderlog_status as varchar),'')||' '||coalesce(senderlog_error_message,'')
		AS varchar(1167)
	) AS fulltext
FROM senderlog;

